GCC stack access scheduled after stack deallocation

Bug #1572613 reported by bugproxy on 2016-04-20
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Unassigned
gcc
Unknown
Unknown
ceph (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
fpgatools (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Dimitri John Ledkov
Yakkety
Undecided
Unassigned
gambas3 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Dimitri John Ledkov
Yakkety
Undecided
Unassigned
gcc-4.9 (Ubuntu)
Wishlist
Unassigned
gcc-5 (Ubuntu)
High
Matthias Klose
Xenial
High
Unassigned
Yakkety
High
Unassigned
gcc-5-cross (Ubuntu)
Wishlist
Unassigned
gcc-arm-none-eabi (Ubuntu)
Wishlist
Unassigned
gcc-avr (Ubuntu)
Wishlist
Unassigned
gcc-mingw-w64 (Ubuntu)
Wishlist
Unassigned
higan (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
insighttoolkit4 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Dimitri John Ledkov
Yakkety
Undecided
Unassigned
ivtools (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
juju-mongodb3.2 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
libtsm (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Dimitri John Ledkov
Yakkety
Undecided
Unassigned
mariadb-10.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Dimitri John Ledkov
Yakkety
Undecided
Unassigned
mysql-5.7 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
nodejs (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
percona-server-5.6 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Dimitri John Ledkov
Yakkety
Undecided
Unassigned
percona-xtrabackup (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Dimitri John Ledkov
Yakkety
Undecided
Unassigned
percona-xtradb-cluster-5.6 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
valgrind (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
webkitgtk (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned

Bug Description

= Validation =
For gcc-5, check that code generation is correct as per small C test case below.

== fpgatools ==

* compile autotest.c and strip chrpath
* change path in autotest_diff.sh from ./ to /usr/bin
* execute autotest and check error codes

== gambas3 ==

* execute gambas.test

== inisghttoolkit4 ==
$ apt install insighttoolkit4-python insighttoolkit4-examples

Run attached insightoolkit4.py script against an image file, e.g. Circle.png from -examples package.

== libtsm ==

Nothing in the archive uses this... No idea why we have this package, either release the update, or remove it from proposed.

== mariadb-10.0 ==

Run mariadb.sh

== percona-server-5.6 ==

Run percona.sh

== percona-xtrabackup ==

Execute $ xtrabackup --backup; xtracbackup --prepare; xtrabackup --backup in a new directory

== percona-xtradb-cluster-5.6 ==

Deploy three node percona-cluster charm, upgrade to proposed, check that updating tables on one node is reflected on the others.

== webkitgtk ==

Open start.ubuntu.com in midori

== Comment: #0 - Andreas Krebbel - 2016-04-19 05:22:12 ==

The following miscompilation was found in the Valgrind memcheck preload library.

This compiler behavior can be reproduced with a small test case:

$ echo 'void foo (void) { volatile int a = 5; (void) a; }' | \
  gcc -O2 -fno-omit-frame-pointer -o foo.o -c -x c - && objdump -d foo.o

foo.o: file format elf64-s390

Disassembly of section .text:

0000000000000000 <foo>:
   0: b3 c1 00 2b ldgr %f2,%r11
   4: b3 c1 00 0f ldgr %f0,%r15
   8: e3 f0 ff 58 ff 71 lay %r15,-168(%r15)
   e: b9 04 00 bf lgr %r11,%r15
  12: b3 cd 00 f0 lgdr %r15,%f0
  16: e5 4c b0 a4 00 05 mvhi 164(%r11),5 <---- stack variable access after stack pointer restore
  1c: 58 10 b0 a4 l %r1,164(%r11) <----
  20: b3 cd 00 b2 lgdr %r11,%f2
  24: 07 fe br %r14
  26: 07 07 nopr %r7

A patch for upstream GCC has been posted on the mailing list. Backports will go into 4.9/5/6 branches after the upstream patch is applied.
https://gcc.gnu.org/ml/gcc-patches/2016-04/msg00910.html

This patch needs to be included in the Ubuntu 16.04 GCC 5 packages.

We have scanned the entire xenial universe repo for suspicious sequences. Unfortunately several packages need to be rebuild after including the patch. We recommend rebuilding at least the following packages:

ceph-test_10.1.1-0ubuntu1_s390x.deb
g++-mingw-w64-i686_5.3.1-8ubuntu3+17_s390x.deb
g++-mingw-w64-x86-64_5.3.1-8ubuntu3+17_s390x.deb
gambas3-gb-qt4_3.8.4-2ubuntu3_s390x.deb
gcc-arm-none-eabi_4.9.3+svn231177-1_s390x.deb
gcc-avr_4.9.2+Atmel3.5.0-1_s390x.deb
gcc-mingw-w64-i686_5.3.1-8ubuntu3+17_s390x.deb
gcc-mingw-w64-x86-64_5.3.1-8ubuntu3+17_s390x.deb
gcc-snapshot_20160320-1ubuntu1_s390x.deb
gfortran-mingw-w64-i686_5.3.1-8ubuntu3+17_s390x.deb
gfortran-mingw-w64-x86-64_5.3.1-8ubuntu3+17_s390x.deb
gnat-mingw-w64-i686_5.3.1-3ubuntu1+16_s390x.deb
gnat-mingw-w64-x86-64_5.3.1-3ubuntu1+16_s390x.deb
gobjc++-mingw-w64-i686_5.3.1-8ubuntu3+17_s390x.deb
gobjc++-mingw-w64-x86-64_5.3.1-8ubuntu3+17_s390x.deb
gobjc-mingw-w64-i686_5.3.1-8ubuntu3+17_s390x.deb
gobjc-mingw-w64-x86-64_5.3.1-8ubuntu3+17_s390x.deb
higan_094-6_s390x.deb
juju-mongodb3.2_3.2.4-0ubuntu1_s390x.deb
libfpga0_0.0+201212-1_s390x.deb
libgnatvsn5_5.3.1-14ubuntu2_s390x.deb
libgnatvsn5-s390x-cross_5.3.1-14ubuntu2cross1_all.deb
libinsighttoolkit4.9_4.9.0-4ubuntu1_s390x.deb
libiv-unidraw1_1.2.11a1-6_s390x.deb
libjavascriptcoregtk-1.0-0_2.4.10-0ubuntu1_s390x.deb
libjavascriptcoregtk-3.0-0_2.4.10-0ubuntu1_s390x.deb
libmariadbd18_10.0.24-7_s390x.deb
libtsm3_3-1_s390x.deb
libwebkit2gtk-3.0-25_2.4.10-0ubuntu1_s390x.deb
mariadb-client-core-10.0_10.0.24-7_s390x.deb
mariadb-plugin-oqgraph_10.0.24-7_s390x.deb
mariadb-plugin-spider_10.0.24-7_s390x.deb
mariadb-server-10.0_10.0.24-7_s390x.deb
mariadb-server-core-10.0_10.0.24-7_s390x.deb
mariadb-test_10.0.24-7_s390x.deb
mysql-client-5.6_5.6.28-1ubuntu3_s390x.deb
mysql-client-core-5.6_5.6.28-1ubuntu3_s390x.deb
mysql-server-5.6_5.6.28-1ubuntu3_s390x.deb
mysql-server-core-5.6_5.6.28-1ubuntu3_s390x.deb
mysql-testsuite-5.7_5.7.11-0ubuntu6_s390x.deb
nodejs_4.2.6~dfsg-1ubuntu4_s390x.deb
percona-server-server-5.6_5.6.22-rel71.0-0ubuntu2_s390x.deb
percona-xtrabackup_2.2.3-2.1build1_s390x.deb
percona-xtradb-cluster-server-5.6_5.6.21-25.8-0ubuntu2_s390x.deb

== Comment: #2 - Andreas Krebbel - 2016-04-20 03:22:27 ==
Patch is upstream committed to head, gcc-6, and gcc-5 branches.

bugproxy (bugproxy) on 2016-04-20
tags: added: architecture-s39064 bugnameltc-140461 severity-high targetmilestone-inin16041
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Kevin W. Rudd (kevinr) on 2016-04-20
affects: ubuntu → gcc-defaults (Ubuntu)
dann frazier (dannf) on 2016-04-20
affects: gcc-defaults (Ubuntu) → gcc-5 (Ubuntu)
dann frazier (dannf) on 2016-04-20
Changed in gcc-4.9 (Ubuntu Xenial):
assignee: nobody → Matthias Klose (doko)
Changed in gcc-5 (Ubuntu Xenial):
assignee: Skipper Bug Screeners (skipper-screen-team) → Matthias Klose (doko)
Changed in ubuntu-z-systems:
importance: Undecided → High
Stephen Kitt (steve-sk2) wrote :

I don't think the mingw-w64 packages need to be rebuilt; they don't generate code for S/390, but for i686 and x86_64 only.

Stephen Kitt (steve-sk2) wrote :

(Unless the suspicious sequence is in the compiler itself of course...)

On Wed, Apr 20, 2016 at 1:11 PM, Stephen Kitt <email address hidden> wrote:
> (Unless the suspicious sequence is in the compiler itself of course...)

That was my reading - @Andreas, can you confirm?

Matthias Klose (doko) wrote :

I'm aiming for a GCC 5.4.0 update for 16.04 LTS once it is release. this issue should be part of it (and already is fixed upstream on these branches). I very much doubt it is needed for all these cross compiler packages, some of them not even building on s390x

dann frazier (dannf) wrote :

On Wed, Apr 20, 2016 at 2:00 PM, Matthias Klose <email address hidden> wrote:
> I'm aiming for a GCC 5.4.0 update for 16.04 LTS once it is release. this
> issue should be part of it (and already is fixed upstream on these
> branches). I very much doubt it is needed for all these cross compiler
> packages, some of them not even building on s390x

All of them do appear to build on s390x, with the exception of gcc-5-cross,
which builds Arch: all packages w/ s390x binaries.

I'll remove mysql-5.6, since it has been removed from xenial.

   -dann

no longer affects: mysql-5.6 (Ubuntu)
dann frazier (dannf) wrote :

@Andreas: would it be possible for you to attach your scanning tool, so that we can use it for verification once the toolchain has been fixed?

------- Comment From <email address hidden> 2016-04-21 03:57 EDT-------
Here also the scan results for the main repository:

ceph_10.1.2-0ubuntu1_s390x.deb
libaudit-dev_2.4.5-1ubuntu2_s390x.deb
libaudit1_2.4.5-1ubuntu2_s390x.deb
libwebkit2gtk-4.0-37-gtk2_2.10.9-1ubuntu1_s390x.deb
mysql-client-core-5.7_5.7.11-0ubuntu6_s390x.deb
mysql-server-5.7_5.7.11-0ubuntu6_s390x.deb
mysql-server-core-5.7_5.7.11-0ubuntu6_s390x.deb
openjdk-8-jre-headless_8u77-b03-3ubuntu3_s390x.deb
valgrind_3.11.0-1ubuntu4_s390x.deb

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-04-21 07:16 EDT-------
> On Wed, Apr 20, 2016 at 1:11 PM, Stephen Kitt <email address hidden> wrote:
> > (Unless the suspicious sequence is in the compiler itself of course...)
>
> That was my reading - @Andreas, can you confirm?

Yes, that was in the compiler binary itself which is s390 code.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-04-21 07:35 EDT-------
(In reply to comment #11)
> @Andreas: would it be possible for you to attach your scanning tool, so that
> we can use it for verification once the toolchain has been fixed?

Although it is only a simple script I cannot attach it here. But I can run it on the new packages for you if you want.

bugproxy (bugproxy) on 2016-04-21
tags: added: bugnameltc-140542
removed: bugnameltc-140461
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-04-21 11:11 EDT-------
*** Bug 140542 has been marked as a duplicate of this bug. ***

tags: added: bugnameltc-140461
removed: bugnameltc-140542
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-5 - 5.3.1-16ubuntu2

---------------
gcc-5 (5.3.1-16ubuntu2) yakkety; urgency=medium

  * Again, configure with --enable-targets=powerpcle-linux on ppc64el.

 -- Adam Conrad <email address hidden> Mon, 25 Apr 2016 16:27:39 -0600

Changed in gcc-5 (Ubuntu Yakkety):
status: New → Fix Released
Dimitri John Ledkov (xnox) wrote :

ceph is part of boost transition, will be rebuild in yakkety.

no longer affects: mysql-5.6 (Ubuntu Xenial)
no longer affects: mysql-5.6 (Ubuntu Yakkety)
Changed in ceph (Ubuntu Yakkety):
status: New → In Progress
Dimitri John Ledkov (xnox) wrote :

Rebuild as part of libpng transition

Changed in gambas3 (Ubuntu Yakkety):
status: New → Fix Released
Dimitri John Ledkov (xnox) wrote :

Is rebuild as part of regular merge.

Changed in insighttoolkit4 (Ubuntu Yakkety):
status: New → In Progress
Dimitri John Ledkov (xnox) wrote :

Part of boost transition

Changed in juju-mongodb3.2 (Ubuntu Yakkety):
status: New → In Progress
Dimitri John Ledkov (xnox) wrote :

Rebuild as part of icu transition

Changed in nodejs (Ubuntu Yakkety):
status: New → Fix Released
Dimitri John Ledkov (xnox) wrote :

Rebuild part of png transition

Changed in webkitgtk (Ubuntu Yakkety):
status: New → Fix Released
Changed in ceph (Ubuntu Yakkety):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package higan - 094-6build1

---------------
higan (094-6build1) yakkety; urgency=medium

  * No change rebuild to fix miscompilation on s390x. LP: #1572613

 -- Dimitri John Ledkov <email address hidden> Tue, 26 Apr 2016 13:09:55 +0100

Changed in higan (Ubuntu Yakkety):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libtsm - 3-1build1

---------------
libtsm (3-1build1) yakkety; urgency=medium

  * No change rebuild to fix miscompilation on s390x. LP: #1572613

 -- Dimitri John Ledkov <email address hidden> Tue, 26 Apr 2016 13:10:17 +0100

Changed in libtsm (Ubuntu Yakkety):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fpgatools - 0.0+201212-1build1

---------------
fpgatools (0.0+201212-1build1) yakkety; urgency=medium

  * No change rebuild to fix miscompilation on s390x. LP: #1572613

 -- Dimitri John Ledkov <email address hidden> Tue, 26 Apr 2016 13:09:43 +0100

Changed in fpgatools (Ubuntu Yakkety):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ivtools - 1.2.11a1-6build1

---------------
ivtools (1.2.11a1-6build1) yakkety; urgency=medium

  * No change rebuild to fix miscompilation on s390x. LP: #1572613

 -- Dimitri John Ledkov <email address hidden> Tue, 26 Apr 2016 13:10:07 +0100

Changed in ivtools (Ubuntu Yakkety):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package percona-xtrabackup - 2.2.3-2.1build2

---------------
percona-xtrabackup (2.2.3-2.1build2) yakkety; urgency=medium

  * No change rebuild to fix miscompilation on s390x. LP: #1572613

 -- Dimitri John Ledkov <email address hidden> Tue, 26 Apr 2016 13:13:23 +0100

Changed in percona-xtrabackup (Ubuntu Yakkety):
status: New → Fix Released
Dimitri John Ledkov (xnox) wrote :

Hi,

I would like to skip rebuilding the following packages:

gcc-4.9, gcc-5-cross, gcc-arm-none-eabi, gcc-avr, gcc-mingw-w64

None of them are used on s390x by default, nor are relevant on s390x. However the cost of rebuilding these on 7 architectures, and re-validating binaries as part of an SRU is expensive and not a risk-free exercise. These will then be essentially fixed organically, if and when a new upload for any of these packages happens, they will get rebuild with the corrected compiler.

Regards,

Dimitri.

no longer affects: gcc-4.9 (Ubuntu Xenial)
no longer affects: gcc-4.9 (Ubuntu Yakkety)
Changed in gcc-4.9 (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
no longer affects: gcc-5-cross (Ubuntu Xenial)
no longer affects: gcc-5-cross (Ubuntu Yakkety)
Changed in gcc-5-cross (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
no longer affects: gcc-arm-none-eabi (Ubuntu Xenial)
no longer affects: gcc-arm-none-eabi (Ubuntu Yakkety)
no longer affects: gcc-avr (Ubuntu Xenial)
no longer affects: gcc-avr (Ubuntu Yakkety)
no longer affects: gcc-mingw-w64 (Ubuntu Xenial)
no longer affects: gcc-mingw-w64 (Ubuntu Yakkety)
Changed in gcc-arm-none-eabi (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Changed in gcc-avr (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Changed in gcc-mingw-w64 (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Changed in gcc-4.9 (Ubuntu):
assignee: Matthias Klose (doko) → nobody
Changed in valgrind (Ubuntu Yakkety):
status: New → Fix Committed
Changed in percona-xtradb-cluster-5.6 (Ubuntu Yakkety):
status: New → Fix Committed
Changed in percona-server-5.6 (Ubuntu Yakkety):
status: New → Fix Committed
Changed in mysql-5.7 (Ubuntu Yakkety):
status: New → Fix Committed
Changed in juju-mongodb3.2 (Ubuntu Yakkety):
status: In Progress → Fix Committed
Changed in insighttoolkit4 (Ubuntu Yakkety):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package percona-server-5.6 - 5.6.22-rel71.0-0ubuntu5

---------------
percona-server-5.6 (5.6.22-rel71.0-0ubuntu5) yakkety; urgency=medium

  * No change rebuild to fix miscompilation on s390x. LP: #1572613

 -- Dimitri John Ledkov <email address hidden> Tue, 26 Apr 2016 13:12:50 +0100

Changed in percona-server-5.6 (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package percona-xtradb-cluster-5.6 - 5.6.21-25.8-0ubuntu4

---------------
percona-xtradb-cluster-5.6 (5.6.21-25.8-0ubuntu4) yakkety; urgency=medium

  * No change rebuild to fix miscompilation on s390x. LP: #1572613

 -- Dimitri John Ledkov <email address hidden> Tue, 26 Apr 2016 13:13:59 +0100

Changed in percona-xtradb-cluster-5.6 (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-5.7 - 5.7.12-0ubuntu2

---------------
mysql-5.7 (5.7.12-0ubuntu2) yakkety; urgency=medium

  * No change rebuild to fix miscompilation on s390x. LP: #1572613

 -- Dimitri John Ledkov <email address hidden> Tue, 26 Apr 2016 13:11:50 +0100

Changed in mysql-5.7 (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package valgrind - 1:3.11.0-1ubuntu5

---------------
valgrind (1:3.11.0-1ubuntu5) yakkety; urgency=medium

  * No change rebuild to fix miscompilation on s390x. LP: #1572613

 -- Dimitri John Ledkov <email address hidden> Tue, 26 Apr 2016 13:14:26 +0100

Changed in valgrind (Ubuntu Yakkety):
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-04-29 09:28 EDT-------
Scan results for yakkety universe from 2016-04-28

ceph-test_10.1.2-0ubuntu1_s390x.deb
g++-mingw-w64-i686_5.3.1-8ubuntu3+17_s390x.deb
g++-mingw-w64-x86-64_5.3.1-8ubuntu3+17_s390x.deb
gcc-arm-none-eabi_4.9.3+svn231177-1_s390x.deb
gcc-avr_4.9.2+Atmel3.5.0-1_s390x.deb
gcc-mingw-w64-i686_5.3.1-8ubuntu3+17_s390x.deb
gcc-mingw-w64-x86-64_5.3.1-8ubuntu3+17_s390x.deb
gfortran-mingw-w64-i686_5.3.1-8ubuntu3+17_s390x.deb
gfortran-mingw-w64-x86-64_5.3.1-8ubuntu3+17_s390x.deb
gnat-mingw-w64-i686_5.3.1-3ubuntu1+16_s390x.deb
gnat-mingw-w64-x86-64_5.3.1-3ubuntu1+16_s390x.deb
gobjc++-mingw-w64-i686_5.3.1-8ubuntu3+17_s390x.deb
gobjc++-mingw-w64-x86-64_5.3.1-8ubuntu3+17_s390x.deb
gobjc-mingw-w64-i686_5.3.1-8ubuntu3+17_s390x.deb
gobjc-mingw-w64-x86-64_5.3.1-8ubuntu3+17_s390x.deb
higan_094-6build1_s390x.deb
juju-mongodb3.2_3.2.4-0ubuntu1_s390x.deb
libgnatvsn5_5.3.1-16ubuntu2_s390x.deb
libgnatvsn5-s390x-cross_5.3.1-14ubuntu2cross1_all.deb
libgnatvsn6_6.0.1-2ubuntu13_s390x.deb
libiv-unidraw1_1.2.11a1-6build1_s390x.deb
libmariadbd18_10.0.24-7_s390x.deb
mariadb-client-core-10.0_10.0.24-7_s390x.deb
mariadb-plugin-oqgraph_10.0.24-7_s390x.deb
mariadb-plugin-spider_10.0.24-7_s390x.deb
mariadb-server-10.0_10.0.24-7_s390x.deb
mariadb-server-core-10.0_10.0.24-7_s390x.deb
mariadb-test_10.0.24-7_s390x.deb

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-05-02 03:08 EDT-------
Scan results for yakkety main from 2016-04-29

libaudit-dev_2.4.5-1ubuntu2_s390x.deblibaudit1_2.4.5-1ubuntu2_s390x.deb

Dimitri John Ledkov (xnox) wrote :

@Andreas.Krebbel

ceph-test_10.1.2-0ubuntu1_s390x.deb

Was compiled with

gcc-5_5.3.1-16ubuntu2 et.al. Which have this bugfix. As the bugfix for this PR was applied in gcc-5 5.3.1-15.

Thus ceph-test_10.1.2-0ubuntu1_s390x.deb should be good. Could you please double check that? Is our toolchain fix in yakkety incomplete, and/or if the validation scripts suggest a false positive? Note that gcc-6 source package provides e.g. libgcc1 for the build, and I'm not sure if gcc-6 was patch for this issue already.

Similarally these are flagged up as bad in yakkety, yet were built with good toolchain already (complete list):

ceph-test_10.1.2-0ubuntu1_s390x.deb
higan_094-6build1_s390x.deb
juju-mongodb3.2_3.2.4-0ubuntu1_s390x.deb
libiv-unidraw1_1.2.11a1-6build1_s390x.deb

Could you double check them in case we are missing fixes in toolchains, and/or false positives. It could be that these link a static libgcc1 from gcc-6 which is unfixed. And if we have this bug in libgcc.a the scope for this bug is much larger.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-05-03 04:46 EDT-------
(In reply to comment #31)
> Similarally these are flagged up as bad in yakkety, yet were built with good
> toolchain already (complete list):

> ceph-test_10.1.2-0ubuntu1_s390x.deb
This one is from April 14th and still appears to have a problem. Are you sure that it has been compiled with the fixed toolchain?
The package ceph-test_10.2.0-0ubuntu0.16.04.1_s390x.deb also has a hit.
However, ceph-test_10.2.0-0ubuntu1_s390x.deb appears to be clean. Perhaps that one is the new package?

> higan_094-6build1_s390x.deb
False positive. The tool detects a stack pointer restore operation in a C++ finally block. But the restored stack pointer at that point is already the decremented one so the accesses appearing afterwards do access valid stack space.

> juju-mongodb3.2_3.2.4-0ubuntu1_s390x.deb
That package is from April 12th. There is a more recent version which appears to be fine:
juju-mongodb3.2_3.2.4-0ubuntu3_s390x.deb

> libiv-unidraw1_1.2.11a1-6build1_s390x.deb
False positive. Same problem as with higan.

> Could you double check them in case we are missing fixes in toolchains,
> and/or false positives. It could be that these link a static libgcc1 from
> gcc-6 which is unfixed. And if we have this bug in libgcc.a the scope for
> this bug is much larger.
Agreed, a hit in libgcc would require massive rebuilds. Fortunately I didn't find anything in libgcc so far. It should be rather unlikely since it does not build with -fno-omit-framepointer. So far I've only seen problems in binaries built with that option.

Dimitri John Ledkov (xnox) wrote :

Marking higan/xenial task invalid, since it's a false positive.

Changed in ceph (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Changed in insighttoolkit4 (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Changed in juju-mongodb3.2 (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Changed in higan (Ubuntu Xenial):
status: New → Invalid
Dimitri John Ledkov (xnox) wrote :

Marking ivtools/xenial task invalid as a false positive.

Changed in ivtools (Ubuntu Xenial):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mariadb-10.0 - 10.0.24-7ubuntu1

---------------
mariadb-10.0 (10.0.24-7ubuntu1) yakkety; urgency=medium

  * Avoid using, no longer defined bundle types in oqgraph v3.

 -- Dimitri John Ledkov <email address hidden> Tue, 10 May 2016 11:15:52 +0100

Changed in mariadb-10.0 (Ubuntu Yakkety):
status: New → Fix Released
Dimitri John Ledkov (xnox) wrote :

@Andreas.Krebbel

right, I did copy paste the wrong version numbers, but the package list was correct. Thanks for confirming that newer ones are fixed and that there are some false positives. Now that mariadb is built and migrated in yakkety, the next step is to push out gcc-5 SRU into xenial.

Dimitri John Ledkov (xnox) wrote :
Dimitri John Ledkov (xnox) wrote :

@SRU @Security teams

I would like to publish gcc-5 SRU as an update in both -security and -updates pockets

Changed in gcc-5 (Ubuntu Xenial):
assignee: Matthias Klose (doko) → Dimitri John Ledkov (xnox)
status: New → In Progress
assignee: Dimitri John Ledkov (xnox) → nobody
status: In Progress → Confirmed
Marc Deslauriers (mdeslaur) wrote :

I will handle the publication of this update, since we want it to end up in the -security pocket. I'll build it in the security team PPA, and will get it pocket-copied to -proposed.

Could an SRU team member please give an official ACK to the debdiff in the meantime?

Dimitri John Ledkov (xnox) wrote :

gcc-5 in security proposed public ppa.

Did a copy of that into ubuntu, xenial-proposed, unapproved queue.

Hello bugproxy, or anyone else affected,

Accepted gcc-5 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-5/5.3.1-14ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-5 (Ubuntu Xenial):
status: Confirmed → Fix Committed
tags: added: verification-needed
Dimitri John Ledkov (xnox) wrote :

Validated, with updated toolchain from xenial-proposed:

# dpkg-query -W gcc-5
gcc-5 5.3.1-14ubuntu2.1

The code generation problem is resolved, as per testcase in gcc test-suite / bug report description

--- old.txt 2016-05-17 07:15:13.050518853 +0100
+++ new.txt 2016-05-17 07:15:28.370750313 +0100
@@ -2,10 +2,10 @@
    4: b3 c1 00 0f ldgr %f0,%r15
    8: e3 f0 ff 58 ff 71 lay %r15,-168(%r15)
    e: b9 04 00 bf lgr %r11,%r15
- 12: b3 cd 00 f0 lgdr %r15,%f0
- 16: e5 4c b0 a4 00 05 mvhi 164(%r11),5
- 1c: 58 10 b0 a4 l %r1,164(%r11)
- 20: b3 cd 00 b2 lgdr %r11,%f2
+ 12: e5 4c b0 a4 00 05 mvhi 164(%r11),5
+ 18: 58 10 b0 a4 l %r1,164(%r11)
+ 1c: b3 cd 00 b2 lgdr %r11,%f2
+ 20: b3 cd 00 f0 lgdr %r15,%f0
   24: 07 fe br %r14
   26: 07 07 nopr %r7

tags: added: verification-done
removed: verification-needed
Dimitri John Ledkov (xnox) wrote :

The below SRU has been compiled with fixed toolchain, and in progress to be landed:

webkitgtk (2.4.11-0ubuntu0.1) xenial; urgency=medium

  * New upstream version:
    - "Fix a crash when changing elment attributes with DOM bindings"
      which impacts the evolution composer for example (lp: #1570110)
  * debian/patches/fix-arm64-build.patch:
    - remove, this has been fixed upstream.

 -- Sebastien Bacher <email address hidden> Fri, 13 May 2016 10:52:06 +0200

Changed in webkitgtk (Ubuntu Xenial):
status: New → Fix Committed
Changed in ceph (Ubuntu Xenial):
status: New → In Progress
Changed in fpgatools (Ubuntu Xenial):
status: New → In Progress
Changed in gambas3 (Ubuntu Xenial):
status: New → In Progress
Changed in insighttoolkit4 (Ubuntu Xenial):
status: New → In Progress
Changed in juju-mongodb3.2 (Ubuntu Xenial):
status: New → In Progress
Changed in libtsm (Ubuntu Xenial):
status: New → In Progress
Changed in mariadb-10.0 (Ubuntu Xenial):
status: New → In Progress
Changed in mysql-5.7 (Ubuntu Xenial):
status: New → In Progress
Changed in nodejs (Ubuntu Xenial):
status: New → In Progress
Changed in percona-server-5.6 (Ubuntu Xenial):
status: New → In Progress
Changed in percona-xtrabackup (Ubuntu Xenial):
status: New → In Progress
Changed in percona-xtradb-cluster-5.6 (Ubuntu Xenial):
status: New → In Progress
Changed in valgrind (Ubuntu Xenial):
status: New → In Progress
Steve Langasek (vorlon) wrote :

Hello bugproxy, or anyone else affected,

Accepted ceph into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ceph/10.2.0-0ubuntu0.16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceph (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Steve Langasek (vorlon) wrote :

For many of these packages, a passing autopkgtest is a sufficient SRU test case for a no-change rebuild. But some of these packages have no autopkgtests. Dimitri, please provide test cases for those packages that don't have autopkgtests (e.g., fpgatools).

Not accepting these uploads unless a test case is available.

Changed in fpgatools (Ubuntu Xenial):
assignee: nobody → Dimitri John Ledkov (xnox)
status: In Progress → Incomplete
Changed in gambas3 (Ubuntu Xenial):
assignee: nobody → Dimitri John Ledkov (xnox)
status: In Progress → Incomplete
Steve Langasek (vorlon) wrote :

NB binary inspection of the executables to check for this particular miscompilation is /not/ a sufficient test case; we should at a minimum establish that the newly-built binaries still run, especially as these are being rebuilt on all architectures.

Changed in insighttoolkit4 (Ubuntu Xenial):
assignee: nobody → Dimitri John Ledkov (xnox)
status: In Progress → Incomplete
Changed in juju-mongodb3.2 (Ubuntu Xenial):
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

Hello bugproxy, or anyone else affected,

Accepted juju-mongodb3.2 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-mongodb3.2/3.2.4-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libtsm (Ubuntu Xenial):
assignee: nobody → Dimitri John Ledkov (xnox)
status: In Progress → Incomplete
Steve Langasek (vorlon) wrote :

Hello bugproxy, or anyone else affected,

Accepted mysql-5.7 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mysql-5.7/5.7.12-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mariadb-10.0 (Ubuntu Xenial):
assignee: nobody → Dimitri John Ledkov (xnox)
status: In Progress → Incomplete
Changed in mysql-5.7 (Ubuntu Xenial):
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

Hello bugproxy, or anyone else affected,

Accepted nodejs into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nodejs/4.2.6~dfsg-1ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nodejs (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in percona-server-5.6 (Ubuntu Xenial):
assignee: nobody → Dimitri John Ledkov (xnox)
status: In Progress → Incomplete
Changed in percona-xtrabackup (Ubuntu Xenial):
assignee: nobody → Dimitri John Ledkov (xnox)
status: In Progress → Incomplete
Changed in valgrind (Ubuntu Xenial):
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

Hello bugproxy, or anyone else affected,

Accepted valgrind into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/valgrind/1:3.11.0-1ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of mysql-5.7 from xenial-proposed was performed and bug 1584287 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and add the tag "bot-stop-nagging" to bug 1584287 (not this bug). Thanks!

tags: added: verification-failed
tags: removed: verification-failed

Hello bugproxy, or anyone else affected,

Accepted gambas3 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gambas3/3.8.4-2ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gambas3 (Ubuntu Xenial):
status: Incomplete → Fix Committed
Changed in insighttoolkit4 (Ubuntu Xenial):
status: Incomplete → Fix Committed
Martin Pitt (pitti) wrote :

Hello bugproxy, or anyone else affected,

Accepted insighttoolkit4 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/insighttoolkit4/4.9.0-4ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mariadb-10.0 (Ubuntu Xenial):
status: Incomplete → Fix Committed
Martin Pitt (pitti) wrote :

Hello bugproxy, or anyone else affected,

Accepted mariadb-10.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mariadb-10.0/10.0.24-7ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in percona-server-5.6 (Ubuntu Xenial):
status: Incomplete → Fix Committed
Martin Pitt (pitti) wrote :

Hello bugproxy, or anyone else affected,

Accepted percona-server-5.6 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/percona-server-5.6/5.6.22-rel71.0-0ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in percona-xtrabackup (Ubuntu Xenial):
status: Incomplete → Fix Committed
Martin Pitt (pitti) wrote :

Hello bugproxy, or anyone else affected,

Accepted percona-xtrabackup into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/percona-xtrabackup/2.2.3-2.1build1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello bugproxy, or anyone else affected,

Accepted fpgatools into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fpgatools/0.0+201212-1build0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fpgatools (Ubuntu Xenial):
status: Incomplete → Fix Committed
Changed in libtsm (Ubuntu Xenial):
status: Incomplete → Fix Committed
Chris J Arges (arges) wrote :

Hello bugproxy, or anyone else affected,

Accepted libtsm into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libtsm/3-1build0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-5 (Ubuntu Xenial):
importance: Undecided → High
Changed in gcc-5 (Ubuntu Yakkety):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-5 - 5.3.1-14ubuntu2.1

---------------
gcc-5 (5.3.1-14ubuntu2.1) xenial-security; urgency=medium

  * Fix PR target/70674 cherrypick from the gcc-5-branch. LP: #1572613.

 -- Dimitri John Ledkov <email address hidden> Wed, 11 May 2016 09:47:34 +0100

Changed in gcc-5 (Ubuntu Xenial):
status: Fix Committed → Fix Released
description: updated
Steve Langasek (vorlon) wrote :

Hello bugproxy, or anyone else affected,

Accepted percona-xtradb-cluster-5.6 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/percona-xtradb-cluster-5.6/5.6.21-25.8-0ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in percona-xtradb-cluster-5.6 (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in ubuntu-z-systems:
status: New → In Progress

------- Comment From <email address hidden> 2016-06-17 10:13 EDT-------
I ran the scan tool on xenial-proposed main (191 packages) and universe (290) repos without any hits. So these appear to be clean. There do not appear to be any packages in xenial-proposed/multiverse so far.

Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) wrote :

Running the scan tool is not sufficient as verification. Each of these packages needs to be tested that it still actually works, also on x86 (we got new toolchains after these packages built the last time). So for verification, please document which packages got smoke-tested. Referring to autopkgtests (for those which have them) is also fine of course.

tags: added: verification-needed
removed: verification-done
Robie Basak (racb) wrote :

This verification will start blocking a bunch of bugfixes I have lined up for mysql-5.7 in Xenial soon. When I'm ready with those updates, if this verification is not complete, I'm going to suggest dropping this MySQL update in favour of my update. It may even speed up landing your ppc64el fix - since all you need is a recompile and that'll happen by virtue of any update, you'll get SRU verification of MySQL functionality for free from the other, unrelated updates.

Or if you want to get this recompile to land sooner, please verify it ASAP so it doesn't collide with the other fixes. Thanks!

Dimitri John Ledkov (xnox) wrote :

@racb things that have autopkgtests across architectures are ready to be released from this SRU.

Other packages without autopktests need further manual SRU tests before release.

Let me get a list of things with autopkgtests and request SRU team to release those. E.g. mysql-5.7.

Dimitri John Ledkov (xnox) wrote :

@ SRU Team

Partial packages from these SRU can be release, which have non-regressed autopkgtests, e.g.:

ceph
http://autopkgtest.ubuntu.com/packages/c/ceph/
10.2.0-0ubuntu0.16.04.2

juju-mongodb3.2
http://autopkgtest.ubuntu.com/packages/j/juju-mongodb3.2/
3.2.4-0ubuntu1.1
armhf and i386 are not regressions

mysql-5.7
http://autopkgtest.ubuntu.com/packages/m/mysql-5.7/
5.7.12-0ubuntu1.1
armhf and ppc64el are not regressions

nodejs
http://autopkgtest.ubuntu.com/packages/n/nodejs/
4.2.6~dfsg-1ubuntu4.1

valgrind
http://autopkgtest.ubuntu.com/packages/v/valgrind/
1:3.11.0-1ubuntu4.1

Regards,

Dimitri.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package juju-mongodb3.2 - 3.2.4-0ubuntu1.1

---------------
juju-mongodb3.2 (3.2.4-0ubuntu1.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden> Fri, 20 May 2016 04:29:33 +0100

Changed in juju-mongodb3.2 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nodejs - 4.2.6~dfsg-1ubuntu4.1

---------------
nodejs (4.2.6~dfsg-1ubuntu4.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden> Fri, 20 May 2016 04:30:23 +0100

Changed in nodejs (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package valgrind - 1:3.11.0-1ubuntu4.1

---------------
valgrind (1:3.11.0-1ubuntu4.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden> Fri, 20 May 2016 04:31:09 +0100

Changed in valgrind (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceph - 10.2.0-0ubuntu0.16.04.2

---------------
ceph (10.2.0-0ubuntu0.16.04.2) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden> Fri, 20 May 2016 04:27:37 +0100

Changed in ceph (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-5.7 - 5.7.12-0ubuntu1.1

---------------
mysql-5.7 (5.7.12-0ubuntu1.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden> Fri, 20 May 2016 04:30:16 +0100

Changed in mysql-5.7 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Dimitri John Ledkov (xnox) wrote :

fpgatools validated.

Dimitri John Ledkov (xnox) wrote :
Dimitri John Ledkov (xnox) wrote :

gambas validated.

description: updated
Dimitri John Ledkov (xnox) wrote :
description: updated
Dimitri John Ledkov (xnox) wrote :

insighttoolkit4 validated.

bugproxy (bugproxy) on 2016-06-27
tags: removed: bugnameltc-140461 severity-high verification-needed
description: updated
bugproxy (bugproxy) on 2016-06-27
tags: added: bugnameltc-140461 severity-high
Dimitri John Ledkov (xnox) wrote :

@bugproxy

please make sure tags are not removed that are important for Ubuntu Launchpad SRU bug workflow. Specifically "verification-*" tags are specifically tags that bugproxy should not be modifying.

description: updated
tags: added: verification-needed
removed: bugnameltc-140461 severity-high
bugproxy (bugproxy) on 2016-06-27
tags: added: bugnameltc-140461 severity-high
Dimitri John Ledkov (xnox) wrote :

mariadb-10.0 10.0.25-0ubuntu0.16.04.1 is published as a security update.

Changed in mariadb-10.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Dimitri John Ledkov (xnox) wrote :
description: updated

Default Comment by Bridge

description: updated
Dimitri John Ledkov (xnox) wrote :

percona-server-5.6 on adm64 validated
percona cluster validated.

Dimitri John Ledkov (xnox) wrote :

webkitgtk separate sru was released.

Changed in webkitgtk (Ubuntu Xenial):
status: Fix Committed → Fix Released
Dimitri John Ledkov (xnox) wrote :

gcc-5-cross was rebuilt in yakkety, not targetted for xenial.

Changed in gcc-5-cross (Ubuntu):
status: Triaged → Fix Released
Dimitri John Ledkov (xnox) wrote :

Everything for xenial sru is validated however:

* percona-server-5.6 just built on amd64 and needs 7 days wait

* there is no test for libtsm and it's entirely leaf library with no other packages using it

My plan is to set verification-done on 5th of July

Hello bugproxy, or anyone else affected,

Accepted gcc-5 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-5/5.4.0-6ubuntu1~16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for percona-xtrabackup has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package percona-server-5.6 - 5.6.22-rel71.0-0ubuntu4.1

---------------
percona-server-5.6 (5.6.22-rel71.0-0ubuntu4.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden> Fri, 20 May 2016 04:30:34 +0100

Changed in percona-server-5.6 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libtsm - 3-1build0.1

---------------
libtsm (3-1build0.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden> Fri, 20 May 2016 04:29:36 +0100

Changed in libtsm (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fpgatools - 0.0+201212-1build0.1

---------------
fpgatools (0.0+201212-1build0.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden> Fri, 20 May 2016 04:27:40 +0100

Changed in fpgatools (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package percona-xtradb-cluster-5.6 - 5.6.21-25.8-0ubuntu3.1

---------------
percona-xtradb-cluster-5.6 (5.6.21-25.8-0ubuntu3.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden> Fri, 20 May 2016 04:31:00 +0100

Changed in percona-xtradb-cluster-5.6 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I released some more updates. insighttoolkit4 FTBFS on powerpc, I just retried the build.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gambas3 - 3.8.4-2ubuntu3.1

---------------
gambas3 (3.8.4-2ubuntu3.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden> Fri, 20 May 2016 04:27:48 +0100

Changed in gambas3 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package percona-xtrabackup - 2.2.3-2.1build1.1

---------------
percona-xtrabackup (2.2.3-2.1build1.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden> Fri, 20 May 2016 04:30:46 +0100

Changed in percona-xtrabackup (Ubuntu Xenial):
status: Fix Committed → Fix Released

On 6 Jul 2016 8:46 a.m., "Martin Pitt" <email address hidden> wrote:
>
> I released some more updates. insighttoolkit4 FTBFS on powerpc, I just
> retried the build.
>

It's FTBFS on powerpc in release too, hence not a regression.

> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1572613
>
> Title:
> GCC stack access scheduled after stack deallocation
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gcc/+bug/1572613/+subscriptions

Default Comment by Bridge

Default Comment by Bridge

Default Comment by Bridge

Default Comment by Bridge

Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package insighttoolkit4 - 4.9.0-4ubuntu1.1

---------------
insighttoolkit4 (4.9.0-4ubuntu1.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden> Fri, 20 May 2016 04:29:21 +0100

Changed in insighttoolkit4 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Changed in gcc-mingw-w64 (Ubuntu):
status: Triaged → Fix Released
Changed in gcc-4.9 (Ubuntu):
status: Triaged → Fix Released
Dimitri John Ledkov (xnox) wrote :

gcc-avr | 1:4.9.2+Atmel3.5.3-1 | zesty/universe rebuild in zesty

Changed in gcc-avr (Ubuntu):
status: Triaged → Fix Released
Dimitri John Ledkov (xnox) wrote :

gcc-arm-none-eabi | 15:5.4.1+svn241155-1 | zesty/universe rebuild in zesty

Changed in gcc-arm-none-eabi (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.